Mu-so & Mu-so Qb 1st Gen - Firmware 2.0.0 update

Firmware 2.0.0

Naim has launched a key firmware update for first-generation Mu-so and Mu-so Qb wireless speakers, available from today via the Naim App.

This essential update will ensure the products can continue to stream TIDAL, which has implemented a new login authorisation process that affects older generations of products from many brands, not just Naim.

To ensure your update goes smoothly, please follow these instructions:

· This update is only for first generation Mu-so and Mu-so Qb speakers.

· Ensure your phone or tablet is running the latest version of the Naim App – that’s version 5.22 (iOS devices) or 2.22 (Android devices) or later.

· Your Mu-so or Mu-so Qb needs to be on the same network as your phone or tablet. Wi-fi should be fine, though a direct Ethernet cable connection gives greatest stability.

· Open the Naim App and choose the Mu-so or Mu-so Qb to be updated – please note, do not try to update more than one speaker at once.

· Click on the ‘Cog’ icon on the top right of the screen, which will take you to the settings menu.

· Choose ‘Check for Updates’ from the menu, which will show Firmware 2.0.0 ready for download.

· Keep the App open throughout the whole update process. If you close the App, you will interrupt the update, which will not complete.

· Finally, be patient – this is a significant update. Depending on your network set-up, it could take anything from 10 minutes to an hour.

The firmware update also features a range of other improvements and bug fixes, fully detailed below.

New:

  • TIDAL login authorisation update. NB: Also requires Naim App 5.22 or 2.22 or later
  • HLS encoded stations other than BBC now play (eg. Rock On Radio)

Improved:

  • Updated Apple AirPlay 2 library
  • Stations / podcasts that need TLS1.3 HTTPS now play (eg. Wyldwood radio)

Fixed:

  • WAC setup sometimes fails to reliably gain a connection to the network
  • Fatal error obtained when WAC setup is reset after unit fails to connect to the network
  • Podcasts under Ireland > Bookish would fail to play
  • Multiroom clients would be disconnected from a new platform master when playing unsupported sample rates or entering standby
  • Stations under France → All → NRJ Nostalgie failed to play
  • Error when seeking playback during a gapless transition period

N.B. users MUST be running the latest App version x.22 or above.
Please do not close the Naim App during the firmware update process: the App is actively involved in the update process, and must be kept open until it is complete.

2 Likes